BugTraq
[ MDVSA-2014:029 ] mysql Feb 13 2014 08:34PM
security mandriva com
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDVSA-2014:029
http://www.mandriva.com/en/support/security/
_______________________________________________________________________

Package : mysql
Date : February 13, 2014
Affected: Enterprise Server 5.0
_______________________________________________________________________

Problem Description:

A vulnerabilitt has been discovered and corrected in mysql:

Buffer overflow in client/mysql.cc in Oracle MySQL and MariaDB before
5.5.35 allows remote database servers to cause a denial of service
(crash) and possibly execute arbitrary code via a long server version
string (CVE-2014-0001).

NOTE: Other security issues covered by
http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.htm
l
was resolved 2013-12-20 with the MDVA-2013:015 advisory.

The updated packages have been patched to correct this issue.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0001
_______________________________________________________________________

Updated Packages:

Mandriva Enterprise Server 5:
3e7f762ebd20b104be59606563fd5c65 mes5/i586/libmysql16-5.1.73-0.2mdvmes5.2.i586.rpm
35eda70bf68702f50a130ef6421af094 mes5/i586/libmysql-devel-5.1.73-0.2mdvmes5.2.i586.rpm
f8ef81c51c155a5d48a79f0fee631282 mes5/i586/libmysql-static-devel-5.1.73-0.2mdvmes5.2.i586.rpm
c4f11d0f51d268d9c0d3133f6cbfdd63 mes5/i586/mysql-5.1.73-0.2mdvmes5.2.i586.rpm
99e1ad003ffffd1832901c6b8ff29125 mes5/i586/mysql-bench-5.1.73-0.2mdvmes5.2.i586.rpm
25d64aaae3a2646cde20f64a1c61991f mes5/i586/mysql-client-5.1.73-0.2mdvmes5.2.i586.rpm
b69a649a8893716cf2028a3bffc05e32 mes5/i586/mysql-common-5.1.73-0.2mdvmes5.2.i586.rpm
610acab526a5a7e69b17ee9634480670 mes5/SRPMS/mysql-5.1.73-0.2mdvmes5.2.src.rpm

Mandriva Enterprise Server 5/X86_64:
b27bd2681a3e70d7679ab7b6bdfabd31 mes5/x86_64/lib64mysql16-5.1.73-0.2mdvmes5.2.x86_64.rpm
4c8580411e4594aa941dbe9cd35acc01 mes5/x86_64/lib64mysql-devel-5.1.73-0.2mdvmes5.2.x86_64.rpm
237a2e303a1f611f8c7d0ecdbe833a98 mes5/x86_64/lib64mysql-static-devel-5.1.73-0.2mdvmes5.2.x86_64.rpm
f79e0b73e6c669d1c6adcdb721ebbbe6 mes5/x86_64/mysql-5.1.73-0.2mdvmes5.2.x86_64.rpm
094b24a008e3a69a551f88d1dcd914a0 mes5/x86_64/mysql-bench-5.1.73-0.2mdvmes5.2.x86_64.rpm
6604c2587782b07327796ec066e6a01b mes5/x86_64/mysql-client-5.1.73-0.2mdvmes5.2.x86_64.rpm
0a1f999bffa7a4337a48c112b98a9af9 mes5/x86_64/mysql-common-5.1.73-0.2mdvmes5.2.x86_64.rpm
610acab526a5a7e69b17ee9634480670 mes5/SRPMS/mysql-5.1.73-0.2mdvmes5.2.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/en/support/security/advisories/

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
<security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFS/QAzmqjQ0CJFipgRAtDjAJ4jP5XhjWZtjLGVWp0sYBjdlI/oewCgw8xp
vDC2lkwnvbO7kWvd/4+6nSY=
=LeRx
-----END PGP SIGNATURE-----

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus